Subject: Re: [urn] Moving ahead with draft-spinosa-urn-lex

From: Enrico Francesconi <[email-masked]>
Date: Sun, 9 Dec 2018 18:39:01 +0100

Dear Alexey, Dear Dale,
   being quite a long time since the last communication (June 2018), we were wondering whether any action from our side is needed before to proceed with the so called "experimental” registration of the URN:LEX namespace.
Thanks for any feedback you can give us!

Best regards
   Pierluigi and Enrico

---------------------------------------------------------
Enrico Francesconi
ITTIG - CNR
Institute of Legal Information Theory and Techniques
Italian National Research Council

Via de' Barucci 20
50127 Florence
Italy

Tel: +39-055-4399-665
Fax: +39-055-4399-605
email: [email-masked]
---------------------------------------------------------

> On 11 ott 2018, at 18:45, Enrico Francesconi <[email-masked]> wrote:
> 
> Dear Dale,
>    we are back to you because we would like to ask you if there has been any evolution on the so called "experimental” registration of the URN:LEX namespace. 
> The last version of the URN:LEX specifications has been submitted on June 2018 and from that day we did not received any feedback.
> So we were wondering if any action is required by us.
> 
> Thanks a lot for your collaboration
> best regards
> 
>    Pierluigi and Enrico
> 
> 
> ---------------------------------------------------------
> Enrico Francesconi
> ITTIG - CNR
> Institute of Legal Information Theory and Techniques
> Italian National Research Council
> 
> Via de' Barucci 20
> 50127 Florence
> Italy
> 
> Tel: +39-055-4399-665
> Fax: +39-055-4399-605
> email: [email-masked] <mailto:[email-masked]>
> ---------------------------------------------------------
> 
>> On 04 giu 2018, at 22:46, Enrico Francesconi <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Dear Dale,
>>    thanks for your message and to the colleagues who approved your proposal to move ahead with urn-lex registration. 
>> 
>> As for the issue you raised about the maintenance of the registry of jurisdiction codes, we agree at this stage to be ITTIG-CNR the
>> Registrar. In this respect we propose the following changes:
>> 
>> Section 3.1
>> 
>> "However, a special register for the <jurisdiction-code>, maintained
>> by IANA, is required, the rules of which are defined in section 11.2."
>> —>
>> "However, a special register for the <jurisdiction-code> is required,
>> the rules of which are defined in section 11.2."
>> 
>> [...]
>> 
>> Section 11.2
>> 
>> "IANA is requested to create a new registry for <jurisdiction-code>,
>> with the following format:"
>> —>
>> "It is requested to create a new registry for <jurisdiction-code>,
>> with the following format:"
>> 
>> [...]
>> 
>> "un.org <http://un.org/>"; "United Nations"; "DPI, United Nations, <address>, <contact>"; [reference]
>> —> 
>> "un.org <http://un.org/>"; "United Nations"; "DPI, United Nations, <address>, <contact>"; [reference]
>> In the current experimental LEX registration phase, ITTIG-CNR will take care to create and maintain the registry for <jurisdiction-code>.
>> As the criteria of the LEX names assignment will be consolidated, after the experimental phase such registry will be maintained by
>> IANA.
>> The adopted registration policy is compliant with the "Expert Review" as specified in [RFC8126].
>> Designated Expert(s) will assign jurisdiction codes based on the following principles: "
>> 
>> 
>> 
>> 
>> If you think that such changes are sufficient, we are going to produce
>> the draft v. 13 and upload it in the ietf versioning service.
>> 
>> Thanks!
>> Best regards
>>    Pierluigi and Enrico
>> 
>> 
>> ---------------------------------------------------------
>> Enrico Francesconi
>> ITTIG - CNR
>> Institute of Legal Information Theory and Techniques
>> Italian National Research Council
>> 
>> Via de' Barucci 20
>> 50127 Florence
>> Italy
>> 
>> Tel: +39-055-4399-665
>> Fax: +39-055-4399-605
>> email: [email-masked] <mailto:[email-masked]>
>> ---------------------------------------------------------
>> 
>>> On 01 mag 2018, at 02:38, Dale R. Worley <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> My apologies for not working on this earlier.
>>> 
>>> The current draft of "urn-lex" is draft-spinosa-urn-lex-12.  People have
>>> criticized its proposed URN system in many ways, but it seems to me that
>>> most of the criticisms are "bibliographic", they concern good ways to
>>> create identifiers for written works.  As such, the IETF is not a good
>>> forum for correcting most of those problems.
>>> 
>>> My proposal is that we implement "rough consensus and running code" --
>>> obtain a usable registration of the "lex" URN namespace so that the
>>> authors and ITTIG can put the "lex" URNs into practice.  The process of
>>> using the URNs will educate the authors regarding the correct resolution
>>> of the various problems, and will likely cause them to later submit a
>>> revised registration.
>>> 
>>> That is, the registration we create at this time will be understood to
>>> be experimental in nature.
>>> 
>>> In order to be suitable as an "experimental" registration, there are a
>>> few problems that must be resolved:
>>> 
>>> 1. The URN syntax must conform to the generic URN syntax.
>>> 
>>> 2. The requirements of uniqueness and persistence must be met.  (That
>>> is, any URN designates at most one resource, and the resource that it
>>> designates must not change over time.  However, it is permissible to
>>> have multiple URNs designate the same resource.)
>>> 
>>> 3. The process or authority that assigns each URN must be well-defined.
>>> 
>>> Item 1 is taken care of, in that the syntax in -12 conforms (as far as I
>>> can tell) to the URN syntax in RFC 8141.
>>> 
>>> Item 2 is the responsibility of the Jurisdictional Registrars, in the
>>> same way that the naming authorities of many other URN namespaces are
>>> responsible for uniqueness and persistence.
>>> 
>>> Item 3 requires that a registry of jurisdiction codes and Jurisdictional
>>> Registrars be maintained.  Section 11.2 of the -12 draft proposes that
>>> IANA maintain the registry.  Given the experimental nature of the URN
>>> registration, it seems to me to be premature to involve IANA, especially
>>> since the principles that the Designated Export must implement are
>>> likely to change over time.  Instead, it seems to me that the best
>>> choice for registrar is ITTIG-CNR, the proposer and developer of the URN
>>> namespace.
>>> 
>>> When the namespace definition is transitioned to a non-experimental
>>> status (including fixing a good set of policies to assign jurisdiction
>>> codes), the registry can be transferred to IANA to implement the proven
>>> policies.
>>> 
>>> Following this path requires only small changes for -13, viz., updating
>>> section 11.2.
>>> 
>>> Dale
>>> ----------------------------------------------------------------------
>>> Archived discussions:
>>> 
>>> https://www.ietf.org/mail-archive/web/urn/current/msg03828.html <https://www.ietf.org/mail-archive/web/urn/current/msg03828.html>
>>> 16 Nov 2017
>>> "urn:lex draft v. 12"
>>> 
>>> https://www.ietf.org/mail-archive/web/urn/current/msg03811.html <https://www.ietf.org/mail-archive/web/urn/current/msg03811.html>
>>> starting 20 Sep 2017
>>> "Request for new URN namespace review: LEX"
>>> Message-Id: <[email-masked]>
>>> 
>>> https://www.ietf.org/mail-archive/web/urn-nid/current/msg01270.html
>>> starting 29 Apr 2014
>>> "Publication request for draft-spinosa-urn-lex"
>>> Message-Id: <CALaySJJk5YiCQZqt6WoWkqfAzi2A04HEAH=[email-masked]>
>>> 
>>> https://www.ietf.org/mail-archive/web/urn-nid/current/msg01204.html
>>> starting 27 Mar 2013
>>> "Application for a formal URN NID"
>>> Message-Id: <23A64284-6B03-4B24-B680-54A61E96BECA at ittig.cnr.it>
>>> 
>>> https://www.ietf.org/mail-archive/web/urn-nid/current/msg01059.html
>>> 15 Oct 2009
>>> "URN LEX Namespace submission"
>> 
>

---

From: [email-masked] (Dale R. Worley)
Date: Tue, 11 Dec 2018 22:13:13 -0500

Enrico Francesconi <[email-masked]> writes:
> being quite a long time since the last communication (June 2018), we
> were wondering whether any action from our side is needed before to
> proceed with the so called "experimental" registration of the URN:LEX
> namespace.

Sorry, we've dropped the ball here.  As far as I can tell from reviewing
the discussion at
https://www.ietf.org/mail-archive/web/urn/current/maillist.html, we have
consensus to register the namespace based on draft-spinosa-urn-lex-13,
but we haven't actually notified IANA of that.  Who is it that notifies
IANA?

Dale

---

From: Enrico Francesconi <[email-masked]>
Date: Wed, 12 Dec 2018 15:35:57 +0100

Dear Dale,
   thanks for your feedback! Frankly I don't know who is the responsible,
is it maybe the ietf secretary?
Best
   Enrico

Il giorno mer 12 dic 2018, 04:13 Dale R. Worley <[email-masked]> ha

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 12 Dec 2018 07:39:20 -0700

In my role as URN review team lead, I will contact the IANA.

On 12/12/18 7:35 AM, Enrico Francesconi wrote:
> Dear Dale,
>    thanks for your feedback! Frankly I don't know who is the
> responsible, is it maybe the ietf secretary?
> Best
>    Enrico
> 
> Il giorno mer 12 dic 2018, 04:13 Dale R. Worley <[email-masked]
> <mailto:[email-masked]>> ha scritto:
> 
>     Enrico Francesconi <[email-masked]
>     <mailto:[email-masked]>> writes:

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 12 Dec 2018 10:30:25 -0700

Actually, I'll coordinate with Alexey, since he's the sponsoring Area
Director.

Peter

On 12/12/18 7:39 AM, Peter Saint-Andre wrote:
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn
>